<Project Sdk="Microsoft.NET.Sdk.Web">

    <PropertyGroup>
        <TargetFramework>net6.0</TargetFramework>
        <GenerateDocumentationFile>true</GenerateDocumentationFile>
        <NoWarn>$(NoWarn);1591</NoWarn>
    </PropertyGroup>

    <ItemGroup>
      <ProjectReference Include="..\Otus.Teaching.Pcf.Administration.Core\Otus.Teaching.Pcf.Administration.Core.csproj" />
      <ProjectReference Include="..\Otus.Teaching.Pcf.Administration.DataAccess\Otus.Teaching.Pcf.Administration.DataAccess.csproj" />
    </ItemGroup>

    <ItemGroup>
      <PackageReference Include="EFCore.NamingConventions" Version="7.0.2" />
      <PackageReference Include="Microsoft.EntityFrameworkCore" Version="7.0.5" />
      <PackageReference Include="Microsoft.EntityFrameworkCore.Proxies" Version="7.0.5" />
      <PackageReference Include="Microsoft.EntityFrameworkCore.Sqlite" Version="7.0.5" />
      <PackageReference Include="MongoDB.Driver" Version="2.19.2" />
      <PackageReference Include="Npgsql.EntityFrameworkCore.PostgreSQL" Version="7.0.4" />
      <PackageReference Include="NSwag.AspNetCore" Version="13.19.0" />
    </ItemGroup>

</Project>
